base(3)

NAME
base - Establish IS-A relationship with base class at compile time

SYNOPSIS

    package Baz;
    use base qw(Foo Bar);

DESCRIPTION
Roughly similar in effect to

    BEGIN {
        require Foo;
        require Bar;
        push @ISA, qw(Foo Bar);
    }
Will also initialize the %FIELDS hash if one of the base classes has it. Multiple inheritance of %FIELDS is not supported. The 'base' pragma will croak if multiple base classes has a %FIELDS hash. See the fields manpage for a description of this feature.

When strict 'vars' is in scope base also let you assign to @ISA without having to declare @ISA with the 'vars' pragma first.

This module was introduced with Perl 5.004_04.

SEE ALSO
the fields manpage